#
# spec file for package hpc-coveralls
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hpc-coveralls
%bcond_with tests
Name:           %{pkg_name}
Version:        1.0.10
Release:        6.7
Summary:        Coveralls.io support for Haskell
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cmdargs-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-curl-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-directory-tree-devel
BuildRequires:  ghc-hpc-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-pureMD5-devel
BuildRequires:  ghc-regex-posix-devel
BuildRequires:  ghc-retry-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
%endif

%description
This utility converts and sends Haskell projects hpc code coverage to
<http://coveralls.io/ coverall.io>.

/Usage/

Below is the simplest example of .travis.yml configuration to use with Travis
CI:

> language: haskell > ghc: 7.8 > script: > - cabal configure --enable-tests
--enable-library-coverage && cabal build && cabal test > after_script: > -
cabal install hpc-coveralls > - hpc-coveralls [options] [test-suite-names]

Further information can be found in the
<https://github.com/guillaume-nargeot/hpc-coveralls README>.

%package -n ghc-%{name}
Summary:        Haskell %{name} library
Group:          System/Libraries

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.

%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Group:          Development/Libraries/Haskell
Requires:       ghc-%{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.

%prep
%setup -q

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post -n ghc-%{name}-devel
%ghc_pkg_recache

%postun -n ghc-%{name}-devel
%ghc_pkg_recache

%files
%license LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%{_bindir}/run-cabal-test

%files -n ghc-%{name} -f ghc-%{name}.files
%license LICENSE

%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu May 18 2017 psimons@suse.com
- Update to version 1.0.10 with cabal2obs.
* Mon Apr 24 2017 psimons@suse.com
- Update to version 1.0.9 with cabal2obs.
* Wed Jan 18 2017 psimons@suse.com
- Update to version 1.0.8 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.0.6 revision 0 with cabal2obs.
* Wed Jul 20 2016 psimons@suse.com
- Update to version 1.0.4 revision 0 with cabal2obs.
